# -*- coding: utf8 -*-

from biocase.wrapper.static_functions import magicPias, ocode
import string

purePias = string.split(u"who is the sexiest woman on earth?|who is the most beautiful woman on earth?|which band will save the world?|gimme rock n roll!|who is the best looking woman on earth?|who is the best looking man on earth?|who is the coolest guy on earth?", "|")

def outPia(p):
	x = ''
	while p:
		x += unichr((int(p[:3])-73)/3)
		p = p[3:]
	return x
	
def getMagicPias():
	for k,v in magicPias.items():
		print
		print k
		print str(v)
		print " ---> "
		print outPia(k)
		print str([ocode(x) for x in v])
		
		
getMagicPias()
